#!/bin/sh
EXT3=0

if [ -e /var/etc/.start_ide ]; then
msg()
{
/bin/msgbox title="HDD Setup" size=28 msg="$text" select="Bitte warten" &
}

if [ "$EXT3" = "1" ]; then
	text="~n~n~c~YNachtr~aglich kann die Platte auf ~Sext2 ~Ybzw. ~Sext3 ~Yumformatiert werden."	
fi

text="~c Um die Festplatte in der DBox2 zu initialisieren,~n~cmu die HDD einmalig partitioniert und formatiert werden.~n~c Dieser Vorgang dauert ein paar Minuten.$text ~n~n~c ~SAchtung:~n~c Alle Daten auf der Festplatte werden gel~oscht!~n~s~n~c Setup wirklich starten ?"

FORMAT()
{
text="~cStarte HDD Initialisierung~n~s~n~l~G X erstelle partitionen~n~l O initialisiere Swap Partition~n~l O formatiere Datenpartition~n~l O mounte Datenpartition nach /hdd~n~l O configuriere HDD Parameter~n~s~n~c...der Vorgang dauert ein paar Minuten~n~s"
msg

umount /hdd

HDD=/dev/ide/host0/bus0/target0/lun0

if [ -e /tmp/.part ] ; then
rm /tmp/.part
#Create the partition label
fdisk $HDD/disc << EOF
o
n
p
1
1
+100M
n
p
2



t
1
82
p
w
q
EOF

if [ $? -ne 0 ] ; then
	msgbox title="HDD Setup" refresh=2 size=28 msg="Partitionieren und Formatieren fehlgeschlagen~nFestplatte richtig angeschlossen?" timeout=10
	exit 1
fi

text="~cStarte HDD Initialisierung~n~s~n~l X erstelle partitionen~n~l~G X initialisiere Swap Partition~n~l O formatiere Datenpartition~n~l O mounte Datenpartition nach /hdd~n~l O configuriere HDD Parameter~n~s~n~c...der Vorgang dauert ein paar Minuten~n~s"
msg
mkswap $HDD/part1
fi

text="~cStarte HDD Initialisierung~n~s~n~l X erstelle partitionen~n~l X initialisiere Swap Partition~n~l~G X formatiere Datenpartition~n~l O mounte Datenpartition nach /hdd~n~l O configuriere HDD Parameter~n~s~n~c...der Vorgang dauert ein paar Minuten~n~s"
msg
if [ -e /var/etc/.ide_ext3 ] ; then
	/sbin/mkfs.ext3 -T largefile -m0 $HDD/part2
else	
	/sbin/mkfs.ext2 -T largefile -m0 $HDD/part2
fi
text="~cStarte HDD Initialisierung~n~s~n~l X erstelle partitionen~n~l X initialisiere Swap Partition~n~l X formatiere Datenpartition~n~l~G X mounte Datenpartition nach /hdd~n~l O configuriere HDD Parameter~n~s~n~c...der Vorgang dauert ein paar Minuten~n~s"
msg
if [ -e /var/etc/.ide_ext3 ] ; then
	/bin/mount -t ext3 $HDD/part2 /hdd
else	
	/bin/mount -t ext2 $HDD/part2 /hdd
	/sbin/hdparm -W0 $HDD/disc 
fi
text="~cStarte HDD Initialisierung~n~s~n~l X erstelle partitionen~n~l X initialisiere Swap Partition~n~l X formatiere Datenpartition~n~l X mounte Datenpartition nach /hdd~n~l~G X configuriere HDD Parameter~n~s~n~c...der Vorgang dauert ein paar Minuten~n~s"
msg
/sbin/hdparm -S60 $HDD/disc
sleep 7
mount > tmp/mount
if grep -q 'ide/host0/bus0/target0/lun0' /tmp/mount; then
	rm /tmp/mount
	mkdir /hdd/recording
	/bin/msgbox title="HDD Setup" refresh=0 size=28 msg="HDD Setup abgeschlossen" timeout=5
	sleep 3
	killall msgbox
else
	msgbox title="HDD Setup" refresh=2 size=36 msg="Vorgang abgebrochen !~nLaufwerk HDD ist nicht gemountet.~nBitte ~uberpr~ufen." timeout=15
	rm /tmp/mount
	exit
fi
}

if [ "$EXT3" = "1" ]; then
	/bin/msgbox title="HDD Setup" refresh=3 order=2 default=4 size=28 msg="$text" select="Partitionieren u. Format ext2,Format ext2,HDD Setup beenden,HDD Setup beenden,Partitionieren u. Format ext3,Format ext3"
else
	/bin/msgbox title="HDD Setup" refresh=3 order=1 absolute=1 default=3 size=28 msg="$text" select="Partitionieren u. Format ext2,Format ext2,HDD Setup beenden,,,"
fi
case "$?" in
	1)
		[ -e /var/etc/.ide_ext3 ] && rm /var/etc/.ide_ext3
		touch /tmp/.part
		FORMAT
		;;
	2)
		[ -e /var/etc/.ide_ext3 ] && rm /var/etc/.ide_ext3
		FORMAT
		;;
	3)
		msgbox title="HDD Setup" refresh=2 size=28 msg="HDD Setup wurde beendet" timeout=3
		;;
	4)
		msgbox title="HDD Setup" refresh=2 size=28 msg="HDD Setup wurde beendet" timeout=3
		;;
	5)
		[ ! -e /var/etc/.ide_ext3 ] && touch /var/etc/.ide_ext3
		touch /tmp/.part
		FORMAT
		;;
	6)
		[ ! -e /var/etc/.ide_ext3 ] && touch /var/etc/.ide_ext3
		FORMAT
		;;
	*)
		msgbox title="HDD Setup" refresh=2 size=28 msg="HDD Setup wurde beendet" timeout=3
		exit
		;;
		esac
else
/bin/msgbox msg="HDD/IDE Treiber nicht geladen, Abbruch" timeout=5
killall msgbox
fi
